Page MenuHomeFreeBSD

memfd_create: move implementation to libc/gen
ClosedPublic

Authored by brooks on Nov 22 2023, 1:08 AM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Feb 12, 1:36 PM
Unknown Object (File)
Jan 19 2024, 7:52 PM
Unknown Object (File)
Jan 19 2024, 7:51 PM
Unknown Object (File)
Jan 19 2024, 7:49 PM
Unknown Object (File)
Dec 28 2023, 7:37 PM
Unknown Object (File)
Dec 28 2023, 7:37 PM
Unknown Object (File)
Dec 28 2023, 7:37 PM
Unknown Object (File)
Dec 28 2023, 7:37 PM
Subscribers
None

Details

Summary

Due to memfd_create(3)'s construction of a path to pass to shm_open2(2),
it has a much larger than typical dependency footprint for a system
call wrapper (the list currently includes calloc, memset, sprintf, and
strlen). As such, split it off into it's own file under libc/gen
to lighten libc/sys's dependency list.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

brooks created this revision.

Saw on github. Looks goud

This revision is now accepted and ready to land.Nov 22 2023, 1:45 AM
emaste added inline comments.
lib/libc/gen/memfd_create.c
31–40

are any of these headers no longer needed in one or the other of these files?

This revision now requires review to proceed.Nov 22 2023, 8:32 PM
This revision is now accepted and ready to land.Nov 23 2023, 12:51 AM
This revision was automatically updated to reflect the committed changes.